summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMichael Jennings <mej@kainx.org>1999-08-17 23:01:18 +0000
committerMichael Jennings <mej@kainx.org>1999-08-17 23:01:18 +0000
commit22b2a193d3c6e13474b1cb844d9f6e30bb22ab4f (patch)
tree587c860080095d83f061961e1e84e63aad5f5fd3 /autogen.sh
downloadeterm-22b2a193d3c6e13474b1cb844d9f6e30bb22ab4f.tar.gz
Initial import of Eterm 0.8.9 sources
SVN revision: 38
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..c2583dc
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# $Id$
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile Eterm."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile Eterm."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile Eterm."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+libtoolize --copy --force
+aclocal $ACLOCAL_FLAGS
+automake --add-missing
+autoconf
+autoheader
+
+if [ -x config.status -a -z "$*" ]; then
+ ./config.status --recheck
+else
+ if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+ echo "If you do not wish to run ./configure, press Ctrl-C now."
+ trap 'echo "configure aborted" ; exit 0' 1 2 15
+ sleep 1
+ fi
+ ./configure "$@"
+fi